Bug 429178 - Review Request: scantool_net - OBD2 scanner gui interface
Review Request: scantool_net - OBD2 scanner gui interface
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 429221
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-17 14:23 EST by Ian Hands
Modified: 2009-05-22 12:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-05 16:52:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Hands 2008-01-17 14:23:19 EST
Spec URL: http://ian.ahands.org/fedora/scantool_net.spec
SRPM URL: http://ian.ahands.org/fedora/scantool_net-1.13-1.fc8.src.rpm
Description: scantool_net is an opensource tool used to connect with and display
information from OBD2 scanners like the ones sold at scantool.net.
The user must have access to /dev/ttyS<num>.

This is my first package submission and I apperently need a sponsor.
I also have packaged a dependancy api/lib that scantool_net requiers. I can create another review ticket/post if needed but the information is as follows:

Spec URL: http://ian.ahands.org/fedora/dzcomm.spec
SRPM URL: http://ian.ahands.org/fedora/dzcomm-0.9.9i-1.fc8.src.rpm
Description: Dzcomm is an RS-232 API for as many OS / platforms as we can achieve.
Originally designed to work on DOS alongside the allegro games
programming library it can now work work alongside it as well as
independently of it and works on some unixes as well. 


I hope these packages can be of use to people. I use the scantool package regularly, have found that people new to linux/copmiling/coding can have a rough time getting this installed/working. There are some alternatives, but many are lacking, buggy, or have no gui (a problem for some linux newcomers).

Thanks for your time,
-Ian
Comment 1 manuel wolfshant 2008-01-17 15:41:02 EST
Please, do create a separate ticket for dzcomm. Otherwise, as scantool depends
on it, it will never make to fedora (since it cannot be built against the
libraries existing in Fedora). Note that dzcomm.spec has some easy to spot typos
(including the URL tag) and that hard-coding a specific sf.net download server
is not a very good idea; the preferred URL is 
Source0:
http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
or the shorter
Source0: http://dl.sf.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Comment 2 Ian Hands 2008-01-17 19:04:07 EST
Oops I copied the description from dzcomm's homepage as it was posted there... I
had also planned on changing the sourceforge link to let them use their own
mirror rotation, but forgot. Thanks for pointing these things out though. I will
be posting the dzcomm review request asap.

Hope these things make it into fedora. I own a scantool and have seen many
frustrated linux users on the scantool.net forums; and I believe this tools code
could use some attention from a large community.

Thanks Again,
-Ian
Comment 3 Hans de Goede 2008-05-05 16:52:08 EDT
Closing, as per discussion in bug 429221.

Note You need to log in before you can comment on or make changes to this bug.